Package org.eclipse.rdf4j.http.server.repository

## Class TupleQueryResultView

- java.lang.Object
- - org.eclipse.rdf4j.http.server.repository.QueryResultView
  - - org.eclipse.rdf4j.http.server.repository.TupleQueryResultView

- All Implemented Interfaces:
    `org.springframework.web.servlet.View`

      public class TupleQueryResultView
      extends QueryResultView

  View used to render tuple query results. Renders results in a format specified using a parameter or Accept header.
  Author:
    Herko ter Horst, Arjohn Kampman

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static String` | `DEFAULT_JSONP_CALLBACK_PARAMETER` |
    `protected static Pattern` | `JSONP_VALIDATOR` |

    - ### Fields inherited from class org.eclipse.rdf4j.http.server.repository.QueryResultView

      `CONNECTION_KEY, FACTORY_KEY, FILENAME_HINT_KEY, HEADERS_ONLY, QUERY_RESULT_KEY`

    - ### Fields inherited from interface org.springframework.web.servlet.View

      `PATH_VARIABLES, RESPONSE_STATUS_ATTRIBUTE, SELECTED_CONTENT_TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getContentType()` |
    `static TupleQueryResultView` | `getInstance()` |
    `protected void` | `renderInternal​(Map model, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |

    - ### Methods inherited from class org.eclipse.rdf4j.http.server.repository.QueryResultView

      `logEndOfRequest, render, setContentDisposition, setContentType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_JSONP_CALLBACK_PARAMETER

          protected static final String DEFAULT_JSONP_CALLBACK_PARAMETER

      See Also:
        Constant Field Values

    - #### JSONP_VALIDATOR

          protected static final Pattern JSONP_VALIDATOR

  - ### Method Detail

    - #### getInstance

          public static TupleQueryResultView getInstance()

    - #### getContentType

          public String getContentType()

    - #### renderInternal

          protected void renderInternal​(Map model,
                                        javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpServletResponse response)
                                 throws IOException

      Specified by:
        `renderInternal` in class `QueryResultView`
      Throws:
        `IOException`